package main

import "fmt"

func main() {
	// section: main
	// Anonymous structs can be declared without immediate initialization
	var config struct {
		Host string
		Port int
	}

	config.Host = "localhost"
	config.Port = 8080

	fmt.Printf("Config: %+v\n", config)
	// section: main
}

/*
// section: output
$ go run main.go
Config: {Host:localhost Port:8080}
// section: output
*/
